//
//  ECA.swift
//  forShip
//
//  Created by Mamoru Sugita on 2023/10/20.
//

import Foundation


enum ECA: String, CaseIterable{
    case America
    
    
    var setting: ECASetting{
        switch self {
        case .America:
            ECASetting(areaName: "\(self.rawValue) ECA")
        }
    }
    
}

struct ECASetting{
    /// ECAエリア名称
    var areaName: String
    /// 有効（true)・無効(false)
    var enable: Bool = false
    /// 実行中(true)
    var isExecute: Bool = false
    /// Switching Finsish - ECA [NM]
    
    /// Switching Start - ECA [NM]
    
    /// Advance Notice - ECA [NM]
    
    /// ECAデータ開始点
    
    /// ECAデータ終了
    
}
